Package org.apache.sysds.runtime.util

# Class PoissonPRNGenerator

java.lang.Object
org.apache.sysds.runtime.util.PRNGenerator
org.apache.sysds.runtime.util.PoissonPRNGenerator

All Implemented Interfaces:
  `IPRNGenerator`

public class PoissonPRNGenerator extends PRNGenerator
Class that can generate a stream of random numbers from Poisson distribution with specified mean.

## Constructor Summary

Constructors
Constructor
Description
`PoissonPRNGenerator()`
`PoissonPRNGenerator(double mean)`

## Method Summary

Modifier and Type
Method
Description
`double`
`nextDouble()`
`void`
`setMean(double mean)`
`void`
`setSeed(long sd)`
`void`
`setup(double mean, long sd)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PoissonPRNGenerator

public PoissonPRNGenerator()

### PoissonPRNGenerator

public PoissonPRNGenerator(double mean)

## Method Details

### setup

public void setup(double mean, long sd)

### setSeed

public void setSeed(long sd)

Specified by:
  `setSeed` in interface `IPRNGenerator`
Specified by:
  `setSeed` in class `PRNGenerator`

### setMean

public void setMean(double mean)

### nextDouble

public double nextDouble()

Specified by:
  `nextDouble` in class `PRNGenerator`